QGIS Application - Bug report #16139
Photo are inversed (upsidedown)
2017-01-31 11:19 PM - Patrice Vetsel -

Status: Closed
Priority: Normal
Assignee:

Category: Unknown

Affected QGIS version:master
Operating System: windows10
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 24051

Description

(2.18.3)

After try to use photo2kmz, after importing the kmz and set the form (containing photo name) to Picture, the display of the photo is

inversed (up<->down) see screenshot

Associated revisions

Revision 574a6549 - 2018-02-25 11:25 PM - Nyall Dawson

Respect image orientation and transforms in attachment widget

Fixes #16139

Revision f7f34efb - 2018-02-26 12:10 AM - Nyall Dawson

Respect image orientation and transforms in attachment widget

Fixes #16139

(cherry-picked from 574a65)

History

#1 - 2017-01-31 11:22 PM - Patrice Vetsel -
- File IMG_0047.JPG added

#2 - 2017-01-31 11:23 PM - Patrice Vetsel -
- File deleted (kmztoshp.qgs)

#3 - 2017-01-31 11:23 PM - Patrice Vetsel -
- File deleted (kmztoshp.qgs)

#4 - 2017-01-31 11:23 PM - Patrice Vetsel -
- File deleted (kmztoshp.qgs)

#5 - 2017-01-31 11:23 PM - Patrice Vetsel -
- File deleted (kmztoshp.qgs)

#6 - 2017-01-31 11:23 PM - Patrice Vetsel -
- File deleted (kmztoshp.qgs)

#7 - 2017-01-31 11:23 PM - Patrice Vetsel -
- File deleted (kmztoshp.qgs)

#8 - 2017-01-31 11:23 PM - Patrice Vetsel -
- File deleted (kmztoshp.qgs)

#9 - 2017-01-31 11:23 PM - Patrice Vetsel -
- File deleted (kmztoshp.qgs)

#10 - 2017-02-01 03:50 AM - Harrissou Santanna

@Patrick, photo2kmz is an external plugin and as is, issues related to it should be reported in its bug tracker (
https://issues.qgis.org/projects/photo2kmz/issues?set_filter=1&#38;tracker_id=1 Actually even this link should not be used as plugin authors were invited

to no longer use the hub to host their plugins if I'm not wrong).

Meanwhile, have you tested the External Resource widget (or, more basic, the Photo widget) of QGIS (layer properties -->Fields --> Edit widget)?

#11 - 2017-02-01 07:43 AM - Patrice Vetsel -

Harissou : it's not the plugin that load and display the picture. It's qgis with Fields set to photo widget.

Regards

#12 - 2017-02-01 08:07 AM - Harrissou Santanna

Ah ok sorry! | quickly read you.
Could you test the External Resource widget which also provides the picture capabilities? In the project | used it (2.18), it doesn't invert the picture. Note
that the Photo widget has been removed from qgis 3 (and totally moved to External Resource) hence I'm not sure devs will spend time on fixing this issue

unless it's broken also in Resource widget for 2.18 (but I'm not a dev).

#13 - 2017-05-01 01:01 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#14 - 2017-09-22 09:54 AM - Jiirgen Fischer
- Category set to Unknown

#15 - 2018-02-25 09:54 PM - Luca Lanteri

the original photo are upsidedown with a orientation tag set to "right-bottom".
You have to remove tag with [0] and physically rotate the image.

Seem that the resource widget can't read orientation tags, also in QGIS 3.0.

[0] exiftool --orientation="IMG_0047.JPG

#16 - 2018-02-25 10:50 PM - Nyall Dawson
- Status changed from Open to In Progress
https://issues.qgis.org/projects/photo2kmz/issues?set_filter=1&#38;tracker_id=1

- Description updated
#17 - 2018-02-25 11:25 PM - Nyall Dawson

- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|574a6549f8d929¢885b531fce827993¢c26fb034d.

#18 - 2018-02-25 11:27 PM - Giovanni Manghi
- Resolution set to fixed/implemented

Files
screenshot.png 400 KB 2017-01-31 Patrice Vetsel -
IMG_0047.JPG 3.45 MB 2017-01-31 Patrice Vetsel -
